Update a scheduled SMS broadcast

Updates the recipients or content of a scheduled SMS broadcast. The broadcast must still have Scheduled status (id 3).

Authentication

AuthorizationBearer

The signed-in SchoolSet user token sent by the frontend.

Path parameters

idlongRequired
Broadcast identifier.

Request

This endpoint expects an object.
academic_year_idinteger or nullOptional
form_idinteger or nullOptional
recipients_idlist of objectsOptional
sent_datedatetime or nullOptional
subjectstring or nullOptional
messagestring or nullOptional
attributesstring or nullOptional

JSON-encoded broadcast attributes

Response

Broadcast updated.
statusstring
messagestring
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error